Technical Support Forum Index
Technical Support Forum
Access ChemAxon scientists and developers here. For registration and login issues contact website support.
Error on live server after upgrading to latest version
To watch this topic for replies  Register (enables digests) or give email address:
Reply to topic
Display posts from previous:   
    View previous topic :: View next topic    
Author Message
Deepaks

Joined: 27 Aug 2009
Posts: 5

View user's profile

Back to top
Link to postPosted: Tue Mar 09, 2010 4:03 pmPost subject: Error on live server after upgrading to latest version Reply with quote

Hi,

we have integrated Marvin SKetch and it was working finr, yesterday I updated it with the latest version and ittoo worked fine on local end but when same files were uploaded on live server it is shhowing below error:

java.lang.ClassFormatError: Incompatible magic value 1008813135 in class file chemaxon/marvin/applet/JMSketchLaunch
 at java.lang.ClassLoader.defineClass1(Native Method)
 at java.lang.ClassLoader.defineClass(Unknown Source)
 at java.security.SecureClassLoader.defineClass(Unknown Source)
 at sun.plugin2.applet.Applet2ClassLoader.findClass(Unknown Source)
 at java.lang.ClassLoader.loadClass(Unknown Source)
 at java.lang.ClassLoader.loadClass(Unknown Source)
 at sun.plugin2.applet.Plugin2ClassLoader.loadCode(Unknown Source)
 at sun.plugin2.applet.Plugin2Manager.createApplet(Unknown Source)
 at sun.plugin2.applet.Plugin2Manager$AppletExecutionRunnable.run(Unknown Source)
 at java.lang.Thread.run(Unknown Source)
Exception: java.lang.ClassFormatError: Incompatible magic value 1008813135 in class file chemaxon/marvin/applet/JMSketchLaunch

I have replaced all the files again but still on live server issue persist.

Please suggest.

Thanks

Tamas
ChemAxon personnel
Joined: 21 May 2004
Posts: 2116

View user's profile

Back to top
Link to postPosted: Tue Mar 09, 2010 4:49 pmPost subject: Reply with quote

First of all check which version of Java you have. Latest Marvin requires at least Java 1.5. See details here:

Which Java versions are supported by Marvin?

If you have not got an earlier Java version, please update to a newer one.

If your software environment is proper, clean Java cache, probabably some deprecated resources were rested in the Java cache.

How I can clear JRE cache?

If the problem is still existing (after clearing of the cache), the error may be on your server. Certain jars can be corrupt there. Unwrap the marvin applet package into an empty directory on the server and refers you applet directory to this pure package.

Reply to topic
Page 1 of 1


To watch this topic for replies   Register (enables digests) or give email address  
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum